



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>广告频次控制（frequency capping）</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">广告频次控制（frequency capping）</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-16 00:00:41 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>频次控制介绍</h1>
<p>广告中的频次控制是指控制一个用户最多在指定时间内看到一个广告（或相似广告）的次数，比如广告主可以限制一个用户最多只能一天看到一个广告3次（频次控制也可以让publisher来指定，但本文不考虑publisher）。</p>
<p>本文所说的频次控制不是硬性的，也就是说展示的次数多只会降低相同广告出现的概率，而不是达到一定次数后彻底不出。两者的区别是：前者广告主需要自己去试到底多长的时间段最多出几次合适，比较麻烦，但如果他得到了接近事实的次数，会对他有利。后者是广告主省事了，代价是广告平台只会去优化eCPM，不会去考虑广告主的利益。</p>
<p>引入频次控制有以下优点：</p>
<p>1.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;增加触达受众数量。频次控制可以让更多的受众看到广告。因为频次控制消除了广告主有限的预算总是消耗在了不断地向同一群人展示广告上。</p>
<p>2.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;提高CTR。频次控制是提高广告CTR的有效手段之一。CTR大约在相同广告展示4次之后就很低了，因为用户已经开始对这个广告无视了。</p>
<p>3.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;提高CVR（转化率），与CTR相似，在第一次展示时转化率最高，在展示4-6次后基本无转化。</p>
<h1>频次控制原理</h1>
<div><img referrerpolicy="no-referrer"src="http://img0.ph.126.net/K2LInLDapenqn2-rxtNfVQ==/6599334760610187414.gif" /></div>
<p>见上图，横坐标是展示次数，纵坐标是CPM，曲线是不同的广告（是的，我知道图和我说的不是一回事，但道理和数据真的差不多，因为我没法把公司的数据拿出来讲）。需要注意的是：</p>
<p>1.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;所有的广告都是随着展示次数的增加，CPM减小。</p>
<p>2.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;以蓝线和红线为例，蓝色的广告展示1次的CPM是高于红色的展示一次的CPM，但蓝色展示两次后CPM是低于红色展示一次的CPM。</p>
<p>3.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;每个折线下降的速度是有差异的。</p>
<p>回忆一下公式：CPM = CTR * Bid，eCPM = pCTR * Bid。公式中的Bid是已知且固定的，那么也就是eCPM因为展示次数的变化是因为展示次数影响了pCTR，那么如果基于展示次数对pCTR进行了调整，那么eCPM就更加合理了。</p>
<p>考虑了已经展示的次数对pCTR进行调整，理想情况我们会收获更高的CPM，也就是公司能赚到更多的钱了。（请问你能想象我打这句话时的心情吗？）</p>
<div><img referrerpolicy="no-referrer"src="http://img0.ph.126.net/LFW--YW5El7WAQi41Ov4bA==/1241867597347643316.gif" /></div>
<p>实现频次控制后的图应该是这样，紫色的线就是优化后的效果，如果你看不明白，最左边其实少了一根黑化的竖线（我再强调一下，图里的Ad Network把它想成广告，如果你是SSP，那就不要想了）。可以看到紫色的线明显高于蓝线。</p>
<h1>频次控制实现</h1>
<div><img referrerpolicy="no-referrer"src="http://img2.ph.126.net/P0hdpMUAUKnhmzqs11dTgg==/2001287084512929707.jpg" /></div>
<p>首先基于展示次数对pCTR进行调整是否本身就是pCTR自己的问题，这个我一直有点疑问，展示次数明显可以作为一个特征加入到pCTR的模型中去，但我自己没有试过。但无论展示次数是否作为特征加入，做法都差不多，重要的是如何得到数据。</p>
<p>数据分两部分，一部分实时数据，另一部分离线数据。需要storm收集实时数据的原因是写hive数据库一般有小时级的延时。KV DB中保存的是聚合了实时数据和离线数据的结果，Key是user，value是[ad_n, count_n]的列表。</p>
<p>如果是展示次数作为特征放到pCTR学习中，那一切OK了，如果不这样做，那就麻烦了，首先，要得到前面图中的折线，得到展示次数对每个广告pCTR的影响。这里就有问题了，广告曝光不足怎么办？点击就几十个，怎么统计？是维度向上计算推广计划？曝光还不够怎么办？再向上到广告类别？广告主维度？还是更直接点，假装没看到这些数据，直接忽略，目标只去解决有统计意义的广告。</p>
<p>想多一点还有更多的问题，人群A可能看过一次不点就不会再点了，人群B看过一次点击的概率并和从未看过点击概率差不多。人群的定义可以是无限多种。另外一个广告被展示到了顶部广告位，和底部广告位，难道都认为被展示了一次？所以我虽然没试过，但我认为展示次数放到pCTR模型里作为一个特征应该是最简单合理的。</p>
<p>部分内部引自：</p>
<p>http://www.masternewmedia.org/online-advertising-management-frequency-capping-to-optimize-ad-revenues/</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o5qy5x9r.html">boosting、adaboost</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kjxn69.html">&period;Net语言 APP开发平台&mdash;&mdash;Smobiler学习日志：实现手机上常见的ListMenuView</a>
		</li>
						<li><a href="https://www.batexi.com/a/4953jze8.html">windows下用QTwebkit解析html</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7e07e9.html">android开发之onCreate&lpar; &rpar;方法详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qny0lj8.html">&lbrack;llvm&rsqb; Call the LLVM Jit from c program</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q217jo8.html">MySQL修改表一次添加多个列&lpar;字段&rpar;和索引</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4vww5q.html">Maven概述</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rxxmd9.html">mingW与cygwin</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kx6r6q.html">Objective－C的IO流</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw7ppk8.html">Java学习-038-JavaWeb&lowbar;007 -- JSP 动作标识 - plugin</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmrynl9.html">mysql fetch 系列函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeye109.html">saas系统架构经验总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnp7608.html">Git for PyCharm</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey0gom9.html">PAT &lpar;Advanced Level&rpar; 1099&period; Build A Binary Search Tree &lpar;30&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pme538.html">java文件处理之压缩&comma;分割</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mko048.html">（12&period;05）Java小知识！</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp6lg69.html">SpringBoot的注解：&commat;SpringBootApplication注解 vs &commat;EnableAutoConfiguration&plus;&commat;ComponentScan&plus;&commat;Configuration</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2j7z19.html">有人WIFI ble101配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2n5jx9.html">vue 路由的基本使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv3rn38.html">常用的SQL调优</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qy1y1d2q.html">使用Socket通信实现Silverlight客户端实时数据的获取&lpar;模拟GPS数据，地图实时位置&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/96p00mn8.html">MVC使用Bootstrap</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg5nv48.html">json&period;net  比jsonIgnore 更好的方法  修改源码</a>
			</li>
						<li><a href="https://www.batexi.com/a/950gpgz8.html">WPF中的CheckBox的&lowbar; &lpar;underscore &sol; 下划线）丢失</a>
			</li>
						<li><a href="https://www.batexi.com/a/8me2d7pq.html">MapGuide应用程序演示样例&mdash;&mdash;你好，MapGuide！</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxkdoyv8.html">移动小bug</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zjnp09.html">MAC中在eclipse luna上搭建移动平台自动化测试框架&lpar;UIAutomator&sol;Appium&sol;Robotium&sol;MonkeyRunner&rpar;关键点记录</a>
			</li>
						<li><a href="https://www.batexi.com/a/93ywnjw8.html">安卓CTS官方文档之兼容性测试套件简介-attach</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv12rj1q.html">PHP 12 ：字符串的操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2j52nx8.html">atitit&period;ajax bp dwr 3&period;该票据安排使用的流量汇总 VO9o&period;&period;&period;&period;&period;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
